This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 718013 - qtdemux: need libgstqtdemux.so -> libgstisomp4.so symlink
qtdemux: need libgstqtdemux.so -> libgstisomp4.so symlink
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 12:47 EDT by Michel Alexandre Salim
Modified: 2012-02-02 10:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-02 10:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2011-06-30 12:47:22 EDT
Description of problem:
The qtdemux element is provided by libgstisomp4.so, but it seems that totem looks for it in libgstqtdemux.so instead. Without symlinking %{_libdir}/gstreamer-0.10/libgstqtdemux.so to point to %{_libdir}/gstreamer-0.10/libgstisomp4.so, totem cannot play back or index files in MOV and MP4 containers.

Version-Release number of selected component (if applicable):
gstreamer-plugins-good-0.10.29-1.fc15.x86_64
totem-3.0.1-2.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Download http://devimages.apple.com/llvm/videos/LLVM_Assembler_Infrastructure.mov
2. Install rpmfusion-{,non}free-release from rpmfusion.org
   (I don't have a Theora-inside-MP4 file handy at the moment, apologies)
2. Open the download folder in Nautilus
3. Double-click on the file
  
Actual results:
2. -> no thumbnail created
3. -> Totem attempts to search for Quicktime demuxer, but fails


Expected results:
2. -> should generate thumbnail (at least after the file is played back once,
   and the relevant entry in ~/.thumbnails/fail/ removed)
3. -> should play, or (without rpmfusion bits) should not fail on searching for
      qtdemux, which is part of gstreamer-plugins-good

Additional info:
If Gstreamer elements are not needed to be contained within files with matching
names, then this is probably a Totem bug

Also reported on this Arch Linux forum post:
  https://bbs.archlinux.org/viewtopic.php?id=120853
Comment 1 Renich Bon Ciric 2011-07-28 04:15:02 EDT
I can confirm that making the symlink fixes this.
Comment 2 Benjamin Otte 2011-08-04 22:13:34 EDT
Does removing ~/.gstreamer-0.10/registry*.bin fix it, too?
Comment 3 Renich Bon Ciric 2011-08-04 22:23:10 EDT
(In reply to comment #2)
> Does removing ~/.gstreamer-0.10/registry*.bin fix it, too?

Yes, confirmed. I removed the symlink and ~/.gstreamer-0.10/registry*.bin

Everything works fine.
Comment 4 Michel Alexandre Salim 2012-02-02 10:23:43 EST
Closing this bug, then. It'd be ideal if people don't have to muck around with their existing gstreamer registries, but at least it does not affect clean installs.

Note You need to log in before you can comment on or make changes to this bug.